summaryrefslogtreecommitdiff
path: root/Doc/tools
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>2000-11-30 07:38:59 +0000
committerFred Drake <fdrake@acm.org>2000-11-30 07:38:59 +0000
commitdc015e55876b1e50768a360fd5d25d5f273e6bdc (patch)
treedcfd9c6a448970702533e56b2aff36710ba970da /Doc/tools
parentbfd439e362b204db9a72df7c26a22d35a0eca8da (diff)
downloadcpython-dc015e55876b1e50768a360fd5d25d5f273e6bdc.tar.gz
Adjust to allow an explanation of the changes to be included in the
notification message.
Diffstat (limited to 'Doc/tools')
-rwxr-xr-xDoc/tools/push-docs.sh8
-rwxr-xr-xDoc/tools/update-docs.sh7
2 files changed, 13 insertions, 2 deletions
diff --git a/Doc/tools/push-docs.sh b/Doc/tools/push-docs.sh
index 2de94745a3..a605465499 100755
--- a/Doc/tools/push-docs.sh
+++ b/Doc/tools/push-docs.sh
@@ -3,6 +3,12 @@
# Script to push docs from my development area to SourceForge, where the
# update-docs.sh script unpacks them into their final destination.
+TARGET=python.sourceforge.net:/home/users/fdrake
+
+if [ "$1" ] ; then
+ scp "$1" $TARGET/python-docs-update.txt || exit $?
+fi
+
START="`pwd`"
MYDIR="`dirname $0`"
cd "$MYDIR"
@@ -14,4 +20,4 @@ make --no-print-directory || exit $?
cd ..
RELEASE=`grep '^RELEASE=' Makefile | sed 's|RELEASE=||'`
make --no-print-directory HTMLDIR="$HTMLDIR" bziphtml
-scp "html-$RELEASE.tar.bz2" python.sourceforge.net:/home/users/fdrake/python-docs-update.tar.bz2
+scp "html-$RELEASE.tar.bz2" $TARGET/python-docs-update.tar.bz2
diff --git a/Doc/tools/update-docs.sh b/Doc/tools/update-docs.sh
index 01ebfdf3ad..a996461c6e 100755
--- a/Doc/tools/update-docs.sh
+++ b/Doc/tools/update-docs.sh
@@ -11,7 +11,8 @@ if [ -z "$HOME" ] ; then
export HOME
fi
-UPDATES=/home/users/fdrake/python-docs-update.tar.bz2
+UPDATES=$HOME/python-docs-update.tar.bz2
+INFO=$HOME/python-docs-update.txt
if [ -f "$UPDATES" ] ; then
cd /home/groups/python/htdocs
@@ -20,11 +21,15 @@ if [ -f "$UPDATES" ] ; then
cd devel-docs || exit $?
(bzip2 -dc "$UPDATES" | tar xf -) || exit $?
rm "$UPDATES" || exit $?
+ EXPLANATION="`cat $INFO`"
Mail -s '[development doc updates]' \
python-dev@python.org doc-sig@python.org \
<<EOF
The development version of the documentation has been updated:
http://python.sourceforge.net/devel-docs/
+
+$EXPLANATION
EOF
+ rm -f $HOME/python-docs-update.txt
fi